Terratec Cinergy DVB-S2 Dual PCIe [noch in Arbeit?!]

  • Moin


    Hatte heute doppelten Erfolg:


    Da ich vor mittlerweile etwa nem Jahr hier irgendwo im Forum gelesen hatte, dass obige Karte unter aktuellen Kernel löppt, hab ich mir son Ding zugelegt.


    Heute hab ichs denn auch tatsächlich geschafft, das Ding in /dev/dvb zu finden.


    Man findet diverse Hinweise, mit welchen Treibern/Firmwares es funzen soll - und den Hinweis, dass Karten ab 2018 nicht laufen.


    Mit 5.8.16 wird sie zumindest schonmal erkannt (nicht nur via lsusb). Und ich vermute meine Karte wurde danach gebaut, also Hoffnung für Alle, die sich auch son Teil zugelegt haben ;)


    Und ich hatte schon befürchtet, die Karte unter WinDoof einsetzen zu müssen :rolleyes:


    HJS

  • Hi,

    Läuft sie denn? Oder wird sie nur angezeigt?

    Wäre ja schön, wenn du alles posten würdest, nicht nur anteasern... 😜

    Mfg Stefan

    Test-VDR1: HP rp5700 Fertigsystem, Core2Duo E6400, 2GB RAM, FF-SD C-2300, nvidia Slim-GT218 x1 | easyVDR 2.0 64Bit
    VDR3: in Rente

    VDR4: MSI G31M2 v2, Digitainer2-Geh., t6963c 6" gLCD, E5200, 2GB, 3TB WD Red, GT730, 2x TT S2-3200; easyVDR 3.5 64bit
    VDR5: Gigabyte
    GA-G31M-S2L, Intel E2140, Zotac GT730 passiv, Digitainer2-Geh., t6963c 6 " gLCD, 2 TB WD Red, 2x TT S2-3200 (an 1 Kabel) easyVDR 3.5 64bit
    VDR6:
    Intel E5200, GT630 passiv, F1 750 GB, t6963c gLCD, 2x TT S2-3200 | easyVDR 3.5 64bit
    VDR-User #1068
    www.easy-vdr.de


  • Das ist leider alles ... :(


    HJS

  • Gibt es von der Firmware "dvb-fe-ds3000.fw" vielleicht mehrere Versionen?


    Oder schau dir mal diese Treiber an:

    https://github.com/crazycat69/media_build


    Laut https://wiki.ubuntuusers.de/DVB-Karten/ sollte die TerraTec Cinergy S2 PCIe Dual (ID:153b:1181) und (ID:153b:1182) damit funktionieren.

    -- wird überarbeitet -- VDR- Server: Gigabyte Brix 3150 - (2x Hauppauge DualHD DVB-C Sticks mit 4 Tunern) - Ubuntu 18.04 - Aufnahme und Streaming-Server
    Client Wohnzimmer: DQ77KB - i3 - Logitech z-5500 - Blaupunkt 39" TV - Openelec (Streaming)
    Client Büro: Asus AT3N7A-I , yaVDR0.6.1 (Streaming + Cutting) - 19" TFT
    Test Client1: Raspberry Pi + openelec

  • Hatte auch gehofft, es gäbe eine neuere Version der Firmware - aber keine gefunden.

    Das Kätzchen hab ich schon vor einiger Zeit schnurren lassen.

    Selbst die Adapter wurden nicht angelegt, daher war ich ja so erfreut, als die mit dem 5.8er erschienen ...


    Nu hab ich noch die Hoffnung, dem WinDoof Treiberpaket ne Firmware "entlocken" zu können ...



    HJS


  • Der sah vielversprechend aus, aber schon der Patch geht in die Hose ... :(


    HJS

  • So, Karte hat den RMA Weg angetreten.

    Um endlich ne Alternative zum immer instabiler werdenden Uralt-VDR zu haben, habe ich einer Starburst den Weg zu mir gewiesen :)


    So soll das sein: Karte reinstecken, keinen Adapter finden, vor die Stirn klatschen, Module für PCI[e] Karten bauen, löppt :)


    Nu warte ich mal ab, was die Jungs über meine Karte sagen.


    Hab zwischenzeitlich versucht, neue Firmware vom Terratec Support zu erhalten, aber die Jungs meinten, sowas hätten sie nicht, da die in der WinDoof Version in einem .sys eingebettet wäre.


    Ich hab mir weiteren Mailverkehr erspart, allerdings sollte es doch möglich sein, die Firmware aus eben dieser .sys zu extrahieren.


    Die Ergebnisse von Disassemblern sind zwar i.d.R. ziemlich unbrauchbar, aber der kein Compiler/Assembler was mit der Firmware anfangen kann, da es sich sicher nicht um X86_64 Code handelt, dürfte da irgendwo ein 8K grosses db,dw oder dd auftauchen.


    Wenn man jetzt noch nen Dissassembler zur Hand hätte ...


    Hat eigentlich keiner ausser mir ne neue Version der Cinergy um zu checken, ob das Teil mit Kernel ab Version 5.8.x zu checken?


    HJS

  • Mein Lieferant hat sich entschieden, mir die Kohle wieder zu geben. :)


    Nu frag ich mich ernsthaft, ob ich mir son Teil nochmal antun soll, Immerhin wurden die Adapter mit Kernel 5.9 erkannt und die Non-Funktion _KANN_ einzig auf der defekten Karte beruhen ... _KANN_


    Hat tatsächlich keiner ungeschickterweise ne Karte neueren Baudatums ?


    HJS